Skip to content

Custom Business Name (Alpha ID)

This API is to create a Sender ID using your Business Name. Send a request to our team to use your business name. Our team will contact you to verify and activate your new Alpha ID.

Parameters for Creating Business Name

Headers Parameters

ParametersDescription
AuthorizationPlease add provided Bearer token - linked to your Cellcast account. Check here
Content-Typeapplication/json

Request Body Parameters

NameExampleDescription
businessnamePizza BusinessRequired. Must be between 3 and 11 characters.
descriptionInternalMarketing campaignsRequired. Internal description for this business name.
purposeOfUsePromotional SMSRequired. Purpose of use / traffic type.
ownershiptrueRequired. Boolean indicating ownership of the business name (true/false).
companyInformation(object)Required. Company information object containing the fields below.
companyInformation.namePizza Co Pty LtdRequired. Company name.
companyInformation.abn12345678901Required. Australian Business Number (ABN).
companyInformation.websitehttps://pizzaco.com.auRequired. Company website URL.
companyInformation.address123 Main St, Sydney NSW 2000Required. Company address.
requestorContact(object)Required. Requestor contact information object containing the fields below.
requestorContact.firstNameJohnRequired. Requestor's first name.
requestorContact.lastNameSmithRequired. Requestor's last name.
requestorContact.positionMarketing ManagerRequired. Requestor's position/role.
requestorContact.phoneNumber0400000000Required. Requestor's phone number (digits only).
requestorContact.email[email protected]Required. Requestor's email address.
customerContact+61400000000Optional. Your contact number. We may contact you on this number for business name approval. You can use formats +61400000000, 61400000000, 0400000000, or 400000000.

Code Samples

Post https://api.cellcast.com/api/v1/business/add

bash
curl --location 'https://api.cellcast.com/api/v1/business/add' \
--header 'authorization: Bearer {{API_KEY}}' \
--header 'content-type: application/json' \
--data '{
    "businessname": "Pizza Business",
    "descriptionInternal": "Marketing campaigns",
    "purposeOfUse": "Promotional SMS",
    "ownership": true,
    "companyInformation": {
        "name": "Pizza Co Pty Ltd",
        "abn": "12345678901",
        "website": "https://pizzaco.com.au",
        "address": "123 Main St, Sydney NSW 2000"
    },
    "requestorContact": {
        "firstName": "John",
        "lastName": "Smith",
        "position": "Marketing Manager",
        "phoneNumber": "0400000000",
        "email": "[email protected]"
    },
    "customerContact": "+61400000000"
}'
js
const axios = require('axios');

async function addBusiness() {
    const url = 'https://api.cellcast.com/api/v1/business/add';
    const apiKey = 'your_api_key_here'; // Replace with your actual API key
    const payload = {
        businessname: 'Pizza Business',
        descriptionInternal: 'Marketing campaigns',
        purposeOfUse: 'Promotional SMS',
        ownership: true,
        companyInformation: {
            name: 'Pizza Co Pty Ltd',
            abn: '12345678901',
            website: 'https://pizzaco.com.au',
            address: '123 Main St, Sydney NSW 2000',
        },
        requestorContact: {
            firstName: 'John',
            lastName: 'Smith',
            position: 'Marketing Manager',
            phoneNumber: '0400000000',
            email: '[email protected]',
        },
        customerContact: '+61400000000',
    };

    try {
        const response = await axios.post(url, payload, {
            headers: {
                Authorization: `Bearer ${apiKey}`,
                'Content-Type': 'application/json',
            },
        });

        console.log('Response:', response.data);
    } catch (error) {
        console.error('Error:', error.response ? error.response.data : error.message);
    }
}

addBusiness();

Replace with the actual API key that you own.

Responses

200 Success

json
{
    "app_type": "web",
    "app_version": "1.0",
    "maintainence": 0,
    "new_version": 0,
    "force_update": 0,
    "invalid_token": 0,
    "refresh_token": "",
    "show_message": 0,
    "is_enc": false,
    "status": true,
    "message": "Request added successfully for business name!",
    "message_type": "toast",
    "data": {
        "isDeleted": false,
        "isDefault": false,
        "_id": "6764ecd0adc3a30000000000",
        "businessname": "Pizza Business",
        "descriptionInternal": "Marketing campaigns",
        "purposeOfUse": "Promotional SMS",
        "ownership": true,
        "companyInformation": {
            "name": "Pizza Co Pty Ltd",
            "abn": "12345678901",
            "website": "https://pizzaco.com.au",
            "address": "123 Main St, Sydney NSW 2000"
        },
        "requestorContact": {
            "firstName": "John",
            "lastName": "Smith",
            "position": "Marketing Manager",
            "phoneNumber": "0400000000",
            "email": "[email protected]"
        },
        "user": "67458f462d96c90000000000",
        "requestedAt": "2024-12-20T04:04:32.661Z",
        "status": "REQUESTED",
        "createdBy": "67458f462d96c90000000000",
        "createdAt": "2024-12-20T04:04:32.662Z",
        "updatedAt": "2024-12-20T04:04:32.662Z",
        "__v": 0
    },
    "error": {}
}

400 Validation Errors

json
{
    "app_type": "web",
    "app_version": "1.0",
    "maintainence": 0,
    "new_version": 0,
    "force_update": 0,
    "invalid_token": 0,
    "refresh_token": "",
    "show_message": 0,
    "is_enc": false,
    "status": true,
    "message": "Business Name is required!",
    "message_type": "toast",
    "data": 400,
    "error": {}
}

Other possible validation error messages:

  • Business Name must be between 3 and 11 characters long!
  • Description (internal) is required!
  • Purpose of use is required!
  • Ownership (Yes/No) is required!
  • Company information is required!
  • All company information fields (name, abn, website, address) are required!
  • Requestor contact is required!
  • All requestor contact fields (firstName, lastName, position, phoneNumber, email) are required!
  • Requestor email is invalid!
  • Requestor phone number must contain only digits!

401 Unauthorized

json
{
  "code": 401,
  "message": "Token expired",
  "stack": "APIError: Token expired ...."
}